> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieldwise.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Document From Embedding

> Ingest a document directly from a pre-computed embedding vector.

This endpoint allows you to create documents directly from embedding vectors,
bypassing the file upload and text extraction process. This is useful when:

- You already have pre-computed embeddings
- You want to ingest structured data or custom content
- You need to create documents from API responses or generated content
- You want to maintain embedding consistency across systems

The embedding vector must be exactly 1536 dimensions (OpenAI's text-embedding-ada-002 format).

Performance Benefits:
- No file processing overhead
- No text extraction or embedding generation
- Immediate availability for search
- Synchronous operation (completed immediately)

Retrieval:
- Documents can be retrieved using the returned task_identifier via GET /task/{task_identifier}
- External ID retrieval also works via GET /external/{external_id} if provided

Best Practices:
- Ensure embedding vector quality matches your use case
- Include meaningful content text for human readability
- Use consistent metadata structure for filtering
- Consider embedding source and generation method in metadata



## OpenAPI

````yaml post /api/v1/documents/ingest/embedding
openapi: 3.1.0
info:
  title: Fieldwise API
  description: API for the Fieldwise platform.
  version: 1.0.0
servers:
  - url: https://api.fieldwise.ai
security:
  - ApiKeyAuth: []
paths:
  /api/v1/documents/ingest/embedding:
    post:
      tags:
        - Documents
      summary: Ingest Document From Embedding
      description: >-
        Ingest a document directly from a pre-computed embedding vector.


        This endpoint allows you to create documents directly from embedding
        vectors,

        bypassing the file upload and text extraction process. This is useful
        when:


        - You already have pre-computed embeddings

        - You want to ingest structured data or custom content

        - You need to create documents from API responses or generated content

        - You want to maintain embedding consistency across systems


        The embedding vector must be exactly 1536 dimensions (OpenAI's
        text-embedding-ada-002 format).


        Performance Benefits:

        - No file processing overhead

        - No text extraction or embedding generation

        - Immediate availability for search

        - Synchronous operation (completed immediately)


        Retrieval:

        - Documents can be retrieved using the returned task_identifier via GET
        /task/{task_identifier}

        - External ID retrieval also works via GET /external/{external_id} if
        provided


        Best Practices:

        - Ensure embedding vector quality matches your use case

        - Include meaningful content text for human readability

        - Use consistent metadata structure for filtering

        - Consider embedding source and generation method in metadata
      operationId: ingest_document_from_embedding_api_v1_documents_ingest_embedding_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmbeddingDocumentRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResponse'
        '400':
          description: Invalid request or validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '422':
          description: Unprocessable entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
components:
  schemas:
    EmbeddingDocumentRequest:
      properties:
        embedding:
          items:
            type: number
          type: array
          title: Embedding
          description: Pre-computed embedding vector (1536 dimensions)
        content:
          type: string
          maxLength: 3000
          title: Content
          description: The text content associated with this embedding
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
          description: >-
            Document metadata (must be primitive types, arrays, or nested
            objects)
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: External identifier
      type: object
      required:
        - embedding
        - content
      title: EmbeddingDocumentRequest
      description: Request model for ingesting documents via embedding vectors.
      example:
        content: >-
          This is the text content that was used to generate the embedding
          vector.
        embedding:
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
          - 0.1
        external_id: emb_doc_123
        metadata:
          author: John Doe
          category: research
          tags:
            - machine-learning
            - embeddings
    UploadResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          allOf:
            - $ref: '#/components/schemas/UploadResponseData'
          description: Response data
        error:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: 'null'
        meta:
          $ref: '#/components/schemas/MetaData'
      type: object
      required:
        - data
      title: UploadResponse
    ErrorDetail:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        error_code:
          type: string
          title: Error Code
          description: Error code identifier
        details:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Details
          description: Additional error details
      type: object
      required:
        - message
        - error_code
      title: ErrorDetail
      description: Schema for API error responses.
      example:
        error_code: RESOURCE_NOT_FOUND
        message: Resource not found
    UploadResponseData:
      properties:
        task_identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Identifier
          description: >-
            Task identifier for tracking progress (null for synchronous
            operations)
        file_path:
          anyOf:
            - type: string
            - type: 'null'
          title: File Path
          description: Path where the file is stored (null for embedding-based documents)
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: External identifier if provided
      type: object
      title: UploadResponseData
    MetaData:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        version:
          type: string
          title: Version
          default: '1.0'
      type: object
      title: MetaData
      description: Metadata for API responses
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````